> For the complete documentation index, see [llms.txt](https://docs.specifyapp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specifyapp.com/reference/specify-sdk.md).

# Specify SDK

## Overview

The Specify SDK host several APIs that unwraps as follow

* SpecifyClient
  * SDTFClient
    * SDTFEngine
      * TokenState | CollectionState | GroupState
      * Query & Mutation
      * Query Runner

## Usage

Follow the [Getting started](/guides/specify-sdk-usage-101/getting-started.md) guide.

## Package

The `@specifyapp/sdk` TypeScript package is available on npm.

{% embed url="<https://www.npmjs.com/package/@specifyapp/sdk>" %}

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specifyapp.com/reference/specify-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
